<?php require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';?>
<?php
// Lấy giá trị của username và password được post từ form đăng nhập
$email     = antixss($_POST['email']);
$username  = antixss($_POST['username']);
$password  = antixss($_POST['password']);
$check_user = $ketnoi->query("SELECT * FROM `users` WHERE `username` = '$username' ");
$check_mail   = $ketnoi->query("SELECT * FROM `users` WHERE `email` = '$email' ");
// Kiểm tra thông tin đăng nhập
if ($username == '' || $password == ''|| $email == '') {
  // Thông tin đăng nhập đúng, trả về kết quả thành công
  $response = array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
}else if (!preg_match("/^[a-zA-Z0-9]*$/", $username)) {
  // Thông tin đăng nhập sai, trả về kết quả thất bại
  $response = array('success' => false, 'message' => 'Tên đăng nhập không bao gồm các kí tự đặc biệt và có dấu');
}else if ($check_user->num_rows != 0) {
  // Thông tin đăng nhập sai, trả về kết quả thất bại
  $response = array('success' => false, 'message' => 'Tên đăng nhập đã được sử dụng, vui lòng chọn tên khác');
}else if ($check_mail->num_rows != 0) {
  // Thông tin đăng nhập sai, trả về kết quả thất bại
  $response = array('success' => false, 'message' => 'Email đã được sử dụng, vui lòng chọn tên khác');
}else {
  $new_pass=sha1(md5($password));    
  $toz = $ketnoi->query("INSERT INTO `users` SET 
        `username` = '$username',
        `password` = '$new_pass',
        `email` = '$email',
        `level` = '0',
        `tong_nap` = '0',
        `money` = '0',
        `bannd` = '0',
        `ip` = '".$ip_address."',
        `otpcode` = '',
        `session` = '',
        `time` = '".$time."' ");
        sendTele("Tài Khoản: ".$username." Đăng Kí Thành Công Trên IP: ".$ip_address.".");
        if($toz){
    $now_ss = random('0123456789qwertyuiopasdfghjlkzxcvbnmQEWRWROIWCJHSCNJKFBJWQ', 32);
    $ketnoi->query("UPDATE `users` SET `session` = '$now_ss' WHERE `username` = '".$username."' ");
    $_SESSION['session'] = $now_ss;
    $response = array('success' => true);
        }
 
}

// Trả về kết quả dưới dạng JSON
echo json_encode($response);
?>